#if !defined(AFX_DLGSMARTOTHER_H__226F1BD8_27C2_49A3_9F8E_17B0C7DAEFA5__INCLUDED_)
#define AFX_DLGSMARTOTHER_H__226F1BD8_27C2_49A3_9F8E_17B0C7DAEFA5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgSmartOther.h : header file
//
#include "DlgIntelligentTime.h"
#include "DlgEndSet.h"
/////////////////////////////////////////////////////////////////////////////
// CDlgSmartOther dialog
class CDlgEndSet;
class CDlgSmartOther : public CDialog
{
// Construction
public:
	CDlgSmartOther(CWnd* pParent = NULL);   // standard constructor
	// Dialog Data
	//{{AFX_DATA(CDlgSmartOther)
	enum { IDD = IDD_DLG_SMOTHER };
	BOOL	m_bEnableSerOsd;
	BOOL	m_bEnableChOsd;
	int		m_hSelectChOsd;
	CString	m_lpszRegionEnter;
	CString	m_lpszRegionExit;
	CString	m_lpszRegionHover;
	CString	m_lpszLineSingle;
	CString	m_lpszLineMulti;
	int		m_cx;
	int		m_cy;
	int		m_chtocopy;
	//}}AFX_DATA
	CToolTipCtrl m_tooltip;
	int          m_hPrevSelectCh;
	VSNETSMOSD   m_osdinfo[2];
public:
    CDlgSmartTime* m_third;
	CDlgEndSet* m_lastway;
	CPtrList     m_osdlist;
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgSmartOther)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgSmartOther)
	virtual BOOL OnInitDialog();
	afx_msg void OnBtnLoad();
	afx_msg void OnBtnSave();
	afx_msg void OnDestroy();
	afx_msg void OnSelchangeComboOsdch();
	afx_msg void OnBtnCopytoch();
	afx_msg void OnBtnNext();
	afx_msg void OnBtnPro();
	afx_msg void OnBtnCancel();
	afx_msg void OnClose();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnChangeEditSlineAlarmosd();
	afx_msg void OnMove(int x, int y);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void SetOsd(VSNETVAALARMOSD* pOsdInfo);
	void GetOsd(VSNETVAALARMOSD* pOsdInfo);
	void ReleaseOsdList();

	//BOOL LoadOsdSetting();
	BOOL LoadOsdSetting(int ch); 
	BOOL SaveOsdSetting();
	BOOL SaveOsdSetting(int ch);
	void InitialDlgData();
	void LocalInitDlgData();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGSMARTOTHER_H__226F1BD8_27C2_49A3_9F8E_17B0C7DAEFA5__INCLUDED_)
